Option Explicit

'Linee per la lettura ingressi
Const ICL As Byte = 10
Const IDA As Byte = 11
Const IPL AS Byte = 12


Public Sub Main()
  Dim i as byte
  Do
    Debug.Print "LETTURA LINEE INPUT"
    Call PutPin(IPL, 1)
    Call PutPin(IPL, 0) 'Abilito il latch
    Call PutPin(IPL, 1) 'Blocco il latch
    For i=0 to 23
      Call PutPin(ICL, 0) 'Fronte clock basso
      if (i>=0) and (i<=7)  then 'Primi 8 bit stato ingressi optoisolai
        Debug.Print "OPTO: " & cstr(i+1) & " stato: " & cstr(GetPin(IDA))
      End if
      If (i>=8) and (i<=15)  then
        Debug.Print "TTL:  " & cstr(i-7) & " stato: " & cstr(GetPin(IDA))
      End if
      If (i>=16) and (i<=23)  then
        Debug.Print "RC:   " & cstr(i -15) & " stato: " & cstr(GetPin(IDA))
      End if
      If (i=7) or (i=15) or (i=23)  then
        Debug.Print "----------------"
      End if
      Call PutPin(ICL, 1)
    Next
    Call Delay(3.0)
  loop
End Sub
